##
# Standard JBC table properties
# The table name can also be prepended with schema name for the given table.
# Even though there is an Sql92 standard syntax for this: <schema_name>.<table name>
#schema has different meanings accross various DBMS: Oracle - user name; PointBase - database name
# Microsoft SQL Server & DB2 - schema name corresponds to the catalog owner 
cache.jdbc.table.name=jbosscache
cache.jdbc.table.create=true
cache.jdbc.table.drop=false
cache.jdbc.table.primarykey=jbosscache_pk
cache.jdbc.fqn.column=fqn
cache.jdbc.fqn.type=varchar(255)
cache.jdbc.node.column=node
cache.jdbc.node.type=blob
cache.jdbc.parent.column=parent
# Specify your DBMS's string concatenation function syntax in the following manner: concat(1 , 2) -> '12'.
# This syntax should work an most popular DBMS like oracle, db2, mssql, mysql, PostgreSQL. Derby - on which 
#the tests are run does not support 'concat', but '1 || 2' . If no value is sepcified then concat(1 , 2) is used by default.
cache.jdbc.sql-concat=1 || 2

# JBoss Cache Table properties for Hypersonic, just overrides
#cache.jdbc.node.type=OBJECT

##
# DataSource
#cache.jdbc.datasource=DefaultDS

##
# JDBC driver specific properties

# Hypersonic
#cache.jdbc.node.type=OBJECT

## MySql
#cache.jdbc.driver=com.mysql.jdbc.Driver
#cache.jdbc.url=jdbc:mysql://localhost:3306/jbossdb
#cache.jdbc.user=root
#cache.jdbc.password=admin

## Oracle
#cache.jdbc.driver=oracle.jdbc.OracleDriver
#cache.jdbc.url=jdbc:oracle:thin:@192.168.0.100:1521:JBOSSDB
#cache.jdbc.user=jboss
#cache.jdbc.password=sa

## MS Sql Server
#cache.jdbc.driver=com.microsoft.jdbc.sqlserver.SQLServerDriver
#cache.jdbc.url=jdbc:microsoft:sqlserver://localhost:1433;DatabaseName=jbossdb;SelectMethod=cursor
#cache.jdbc.user=sa
#cache.jdbc.password=
#cache.jdbc.node.type=image

## Pointbase
#cache.jdbc.driver=com.pointbase.jdbc.jdbcUniversalDriver
#cache.jdbc.url=jdbc:pointbase:server://localhost:9092/jboss,new
#cache.jdbc.user=PBPUBLIC
#cache.jdbc.password=PBPUBLIC

## PostgreSQL
#cache.jdbc.driver = org.postgresql.Driver
#cache.jdbc.url=jdbc:postgresql://192.168.0.100:5432/jbossdb
#cache.jdbc.user=postgres
#cache.jdbc.password=admin

## Derby
cache.jdbc.driver = org.apache.derby.jdbc.EmbeddedDriver
cache.jdbc.url=jdbc:derby:jbossdb;create=true
cache.jdbc.user=user1
cache.jdbc.password=user1